Last Comment Bug 580017 - Base64 encoded EML files in attachments can't be opened ("Empty attachments" by open, "Save As" does do nothing)
: Base64 encoded EML files in attachments can't be opened ("Empty attachments" ...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Message Reader UI (show other bugs)
: unspecified
: x86 All
: -- critical with 5 votes (vote)
: Thunderbird 13.0
Assigned To: Hiroyuki Ikezoe (:hiro)
:
:
Mentors:
: 588709 591888 727448 (view as bug list)
Depends on: 805620
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 13:38 PDT by David
Modified: 2013-01-16 03:12 PST (History)
18 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Mail of .eml attachments encoded in base64 (7.72 KB, text/plain)
2011-02-03 19:32 PST, WADA
no flags Details
The eml file extracted from comment #9. (17.20 KB, text/plain)
2012-01-11 17:05 PST, Hiroyuki Ikezoe (:hiro)
no flags Details
A workaround for saving base64-encoded eml file (1.75 KB, patch)
2012-01-15 16:53 PST, Hiroyuki Ikezoe (:hiro)
mozilla: review-
Details | Diff | Splinter Review
Revised patch (1.69 KB, patch)
2012-02-06 17:22 PST, Hiroyuki Ikezoe (:hiro)
mozilla: review+
Details | Diff | Splinter Review

Description David 2010-07-19 13:38:30 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:2.0b1) Gecko/20100630 Firefox/4.0b1
Build Identifier: Version 3.1

If you receive an ".eml" file in your attachments and try to open it, you get an empty attachment message.  It worked before, now it doesn't.  The first times, I deleted the e-mails thinking that the attachments were corrupted but I found out that it wasn't true.  If users don't be careful, emails might be deleted when they should not!

Reproducible: Always

Steps to Reproduce:
1. Open an attachment by double clicking on it in an email that has an eml file as an attachment.

(Maybe other attachments, I did not test, but eml files for sure.
Actual Results:  
Message saying the the attachment is empty.

Expected Results:  
Open eml file with Thunderbird.
Comment 1 Ludovic Hirlimann [:Usul] 2010-07-28 05:20:16 PDT
Have you tried safe mode? (see https://support.mozillamessaging.com/en-US/kb/Safe+Mode for more information)

Anything in Tools -> error console when this happens ?
Comment 2 David 2010-07-28 06:26:32 PDT
This line appears several times:
"IP address : server does not support RFC 5746, see CVE-2009-3555"

I don't think it has anything to do with my "eml" attachment.  I tried it in safe mode, same message, and this is the message I get:

"This attachment is empty.  Verify with the expediter.  Some firewalls and antivirus can destroy attachments." (Sorry if it is not the exact message, I use it in french so I translated the message.)

I never got those 2 errors with thunderbird 2.  I only got them with version 3.

My server has a web interface so I checked the attachement there to see if it was really empty and it is NOT empty.  I can see it without any problems.  So there is really an error in thunderbird 3.1.
Comment 3 Ludovic Hirlimann [:Usul] 2010-08-02 05:21:00 PDT
(In reply to comment #2)
> This line appears several times:
> "IP address : server does not support RFC 5746, see CVE-2009-3555"

Don't worry too much about this one for now. Do worry in 2 years if you still see it.
 
> My server has a web interface so I checked the attachement there to see if it
> was really empty and it is NOT empty.  I can see it without any problems.  So
> there is really an error in thunderbird 3.1.

I assume you are using imap, can you get us a log when you reproduce the error (see https://wiki.mozilla.org/MailNews:Logging for instructions)
Comment 4 David 2010-08-02 06:11:57 PDT
This is the log I get when I recieve an email with an EML attachment.  I masked the IP addresses and domain names for privacy issues.

===================================================================

0[72c140]: SMTP Connecting to: ###.###.###.###
0[72c140]: SMTP entering state: 0
0[72c140]: SMTP Response: 220 zimbra.doamin.com ESMTP Postfix
0[72c140]: SMTP entering state: 14
0[72c140]: SMTP Send: EHLO [###.###.###.###]0[72c140]: SMTP entering state: 0
0[72c140]: SMTP Response: 250-zimbra.domain.com
0[72c140]: SMTP entering state: 0
0[72c140]: SMTP Response: 250-PIPELINING
0[72c140]: SMTP entering state: 0
0[72c140]: SMTP Response: 250-SIZE 26091520
0[72c140]: SMTP entering state: 0
0[72c140]: SMTP Response: 250-VRFY
0[72c140]: SMTP entering state: 0
0[72c140]: SMTP Response: 250-ETRN
0[72c140]: SMTP entering state: 0
0[72c140]: SMTP Response: 250-AUTH LOGIN PLAIN
0[72c140]: SMTP entering state: 0
0[72c140]: SMTP Response: 250-AUTH=LOGIN PLAIN
0[72c140]: SMTP entering state: 0
0[72c140]: SMTP Response: 250-ENHANCEDSTATUSCODES
0[72c140]: SMTP entering state: 0
0[72c140]: SMTP Response: 250-8BITMIME
0[72c140]: SMTP entering state: 0
0[72c140]: SMTP Response: 250 DSN
0[72c140]: SMTP entering state: 4
0[72c140]: SMTP entering state: 21
0[72c140]: no auth method remaining
0[72c140]: SMTP entering state: 3
0[72c140]: SMTP Send: MAIL FROM:<david@domain.com> SIZE=45850[72c140]: SMTP entering state: 0
0[72c140]: SMTP Response: 250 2.1.0 Ok
0[72c140]: SMTP entering state: 5
0[72c140]: SMTP Send: RCPT TO:<david@domain.com>0[72c140]: SMTP entering state: 0
0[72c140]: SMTP Response: 250 2.1.5 Ok
0[72c140]: SMTP entering state: 6
0[72c140]: SMTP Send: DATA0[72c140]: SMTP entering state: 0
0[72c140]: SMTP Response: 354 End data with <CR><LF>.<CR><LF>
0[72c140]: SMTP entering state: 7
0[72c140]: SMTP entering state: 8
0[72c140]: SMTP Send: .0[72c140]: SMTP entering state: 0
0[72c140]: SMTP Response: 250 2.0.0 Ok: queued as CA1398488001
0[72c140]: SMTP entering state: 9
0[72c140]: SMTP Send: QUIT0[72c140]: SMTP entering state: 0
0[72c140]: SMTP entering state: 0
0[72c140]: SMTP Response: 221 2.0.0 Bye
0[72c140]: SMTP entering state: 10
0[72c140]: SMTP entering state: 12
Comment 5 Michael A. Pasek 2010-08-04 00:07:24 PDT
(In reply to comment #4)
> This is the log I get when I recieve an email with an EML attachment.  [...]

Log is of sending, not receiving, email.  Replace "SMTP:5" loggin parameter with "IMAP:5" (if IMAP server), or "POP3:5" (if POP server).
Comment 6 David 2010-08-04 05:13:47 PDT
Sorry:  Here is the log.  My mistake!

========================================================

3936[657dd00]: ImapThreadMainLoop entering [this=6414800]
0[62c140]: 6414800:mail.domain.com:NA:SetupWithUrl: clearing IMAP_CONNECTION_IS_OPEN
3936[657dd00]: 6414800:mail.domain.com:NA:ProcessCurrentURL: entering
3936[657dd00]: 6414800:mail.domain.com:NA:ProcessCurrentURL:imap://david@mail.domain.com:993/select%3E/INBOX:  = currentUrl
3936[657dd00]: ReadNextLine [stream=44fab68 nb=54 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:NA:CreateNewLineFromSocket: * OK zimbra.domain.com Zimbra IMAP4rev1 service ready3936[657dd00]: 6414800:mail.domain.com:NA:SendData: 1 capability3936[657dd00]: ReadNextLine [stream=44fab68 nb=309 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:NA:CreateNewLineFromSocket: * CAPABILITY IMAP4rev1 AUTH=PLAIN AUTH=X-ZIMBRA ACL BINARY CATENATE CHILDREN CONDSTORE ENABLE ESEARCH ESORT I18NLEVEL=1 ID IDLE LIST-EXTENDED LITERAL+ LOGIN-REFERRALS MULTIAPPEND NAMESPACE QRESYNC QUOTA RIGHTS=ektx SASL-IR SEARCHRES SORT THREAD=ORDEREDSUBJECT UIDPLUS UNSELECT WITHIN X-DRAFT-I00-LIST-STATUS3936[657dd00]: ReadNextLine [stream=44fab68 nb=27 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:NA:CreateNewLineFromSocket: 1 OK CAPABILITY completed3936[657dd00]: try to log in
3936[657dd00]: IMAP auth: server caps 0x60C7325, pref 0x1006, failed 0x0, avail caps 0x1004
3936[657dd00]: (GSSAPI = 0x1000000, CRAM = 0x20000, NTLM = 0x100000, MSN =  0x200000, PLAIN = 0x1000, LOGIN = 0x2, old-style IMAP login = 0x4)
3936[657dd00]: trying auth method 0x1000
3936[657dd00]: got new password
3936[657dd00]: IMAP: trying auth method 0x1000
3936[657dd00]: PLAIN auth
3936[657dd00]: 6414800:mail.domain.com:NA:SendData: 2 authenticate plain3936[657dd00]: ReadNextLine [stream=44fab68 nb=4 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:NA:CreateNewLineFromSocket: + 3936[657dd00]: 6414800:mail.domain.com:NA:SendData: Logging suppressed for this command (it probably contained authentication information)
3936[657dd00]: ReadNextLine [stream=44fab68 nb=312 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:NA:CreateNewLineFromSocket: 2 OK [CAPABILITY IMAP4rev1 ACL BINARY CATENATE CHILDREN CONDSTORE ENABLE ESEARCH ESORT I18NLEVEL=1 ID IDLE LIST-EXTENDED LITERAL+ LOGIN-REFERRALS MULTIAPPEND NAMESPACE QRESYNC QUOTA RIGHTS=ektx SASL-IR SEARCHRES SORT THREAD=ORDEREDSUBJECT UIDPLUS UNSELECT WITHIN X-DRAFT-I00-LIST-STATUS] AUTHENTICATE completed3936[657dd00]: login succeeded
3936[657dd00]: 6414800:mail.domain.com:A:SendData: 3 namespace3936[657dd00]: ReadNextLine [stream=44fab68 nb=45 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * NAMESPACE (("" "/")) (("/home/" "/")) NIL3936[657dd00]: ReadNextLine [stream=44fab68 nb=26 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: 3 OK NAMESPACE completed3936[657dd00]: 6414800:mail.domain.com:A:SendData: 4 ENABLE CONDSTORE3936[657dd00]: ReadNextLine [stream=44fab68 nb=21 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * ENABLED CONDSTORE3936[657dd00]: ReadNextLine [stream=44fab68 nb=23 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: 4 OK ENABLE completed3936[657dd00]: 6414800:mail.domain.com:A:SendData: 5 lsub "" "*"3936[657dd00]: ReadNextLine [stream=44fab68 nb=27 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Documents"3936[657dd00]: ReadNextLine [stream=44fab68 nb=31 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Angele"3936[657dd00]: ReadNextLine [stream=44fab68 nb=21 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Fax"3936[657dd00]: ReadNextLine [stream=44fab68 nb=37 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Templates/Phautopak"3936[657dd00]: ReadNextLine [stream=44fab68 nb=32 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Mathieu"3936[657dd00]: ReadNextLine [stream=44fab68 nb=33 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Jokes et autres"3936[657dd00]: ReadNextLine [stream=44fab68 nb=23 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Trash"3936[657dd00]: ReadNextLine [stream=44fab68 nb=41 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Progi-PAC/Outils"3936[657dd00]: ReadNextLine [stream=44fab68 nb=32 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Patrice"3936[657dd00]: ReadNextLine [stream=44fab68 nb=53 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Progi-PAC/Comit&AOk- Gestion"3936[657dd00]: ReadNextLine [stream=44fab68 nb=34 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Christian"3936[657dd00]: ReadNextLine [stream=44fab68 nb=31 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Programmation"3936[657dd00]: ReadNextLine [stream=44fab68 nb=27 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Templates"3936[657dd00]: ReadNextLine [stream=44fab68 nb=30 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Larry"3936[657dd00]: ReadNextLine [stream=44fab68 nb=48 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Templates/AOS Vision Direct FR"3936[657dd00]: ReadNextLine [stream=44fab68 nb=35 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Phauto-PAK"3936[657dd00]: ReadNextLine [stream=44fab68 nb=38 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Jean-Francois"3936[657dd00]: ReadNextLine [stream=44fab68 nb=31 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Autres"3936[657dd00]: ReadNextLine [stream=44fab68 nb=24 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Drafts"3936[657dd00]: ReadNextLine [stream=44fab68 nb=28 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Fax"3936[657dd00]: ReadNextLine [stream=44fab68 nb=33 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Nathalie"3936[657dd00]: ReadNextLine [stream=44fab68 nb=61 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Progi-PAC/Liste de Prix/Fournisseurs"3936[657dd00]: ReadNextLine [stream=44fab68 nb=70 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Acknowledges/Req_Debris/Archives/2008/2008_01"3936[657dd00]: ReadNextLine [stream=44fab68 nb=48 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Templates/AOS Vision Direct EN"3936[657dd00]: ReadNextLine [stream=44fab68 nb=70 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Acknowledges/Req_Debris/Archives/2008/2008_02"3936[657dd00]: ReadNextLine [stream=44fab68 nb=61 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Acknowledges/Req_Debris/mois courant"3936[657dd00]: ReadNextLine [stream=44fab68 nb=31 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Emilie"3936[657dd00]: ReadNextLine [stream=44fab68 nb=57 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Acknowledges/Req_Debris/Archives"3936[657dd00]: ReadNextLine [stream=44fab68 nb=34 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Templates/Autres"3936[657dd00]: ReadNextLine [stream=44fab68 nb=35 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Francois P"3936[657dd00]: ReadNextLine [stream=44fab68 nb=34 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Pierrette"3936[657dd00]: ReadNextLine [stream=44fab68 nb=39 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Templates/Liens RDPRM"3936[657dd00]: ReadNextLine [stream=44fab68 nb=32 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Cynthia"3936[657dd00]: ReadNextLine [stream=44fab68 nb=70 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Progi-PAC/Activit&AOk-es Progi-PAC/Suggestion"3936[657dd00]: ReadNextLine [stream=44fab68 nb=22 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Sent"3936[657dd00]: ReadNextLine [stream=44fab68 nb=39 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "A - Suivi liens RDPRM"3936[657dd00]: ReadNextLine [stream=44fab68 nb=37 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Coussins gonflables"3936[657dd00]: ReadNextLine [stream=44fab68 nb=53 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Progi-PAC/Procedures Travail"3936[657dd00]: ReadNextLine [stream=44fab68 nb=22 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Junk"3936[657dd00]: ReadNextLine [stream=44fab68 nb=35 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Erreurs Logiciels"3936[657dd00]: ReadNextLine [stream=44fab68 nb=32 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Fax envoy&AOk-"3936[657dd00]: ReadNextLine [stream=44fab68 nb=31 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Louise"3936[657dd00]: ReadNextLine [stream=44fab68 nb=52 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Progi-PAC/Modeles_documents"3936[657dd00]: ReadNextLine [stream=44fab68 nb=30 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "A - Logiciel"3936[657dd00]: ReadNextLine [stream=44fab68 nb=38 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Fiche de Negociation"3936[657dd00]: ReadNextLine [stream=44fab68 nb=50 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "A - Phautopak activated accounts"3936[657dd00]: ReadNextLine [stream=44fab68 nb=36 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Odometre Num Serie"3936[657dd00]: ReadNextLine [stream=44fab68 nb=37 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Acknowledges"3936[657dd00]: ReadNextLine [stream=44fab68 nb=26 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Archives"3936[657dd00]: ReadNextLine [stream=44fab68 nb=33 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Gary Vamvakitis"3936[657dd00]: ReadNextLine [stream=44fab68 nb=36 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "PROGIDEV ArpacComm"3936[657dd00]: ReadNextLine [stream=44fab68 nb=32 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Info Courriels"3936[657dd00]: ReadNextLine [stream=44fab68 nb=35 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Francois G"3936[657dd00]: ReadNextLine [stream=44fab68 nb=59 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Progi-PAC/Activit&AOk-es Progi-PAC"3936[657dd00]: ReadNextLine [stream=44fab68 nb=41 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "A - Lettre de quittance"3936[657dd00]: ReadNextLine [stream=44fab68 nb=54 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Templates/AOS Vision - Carrossier FR"3936[657dd00]: ReadNextLine [stream=44fab68 nb=31 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Claude"3936[657dd00]: ReadNextLine [stream=44fab68 nb=38 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "B - Prise en charges"3936[657dd00]: ReadNextLine [stream=44fab68 nb=34 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Mises en suspend"3936[657dd00]: ReadNextLine [stream=44fab68 nb=34 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Priscilla"3936[657dd00]: ReadNextLine [stream=44fab68 nb=47 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "AOS Vision Installation Futur"3936[657dd00]: ReadNextLine [stream=44fab68 nb=34 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "AOS Vision - FAX"3936[657dd00]: ReadNextLine [stream=44fab68 nb=24 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public"3936[657dd00]: ReadNextLine [stream=44fab68 nb=33 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Francine"3936[657dd00]: ReadNextLine [stream=44fab68 nb=35 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Pierre-Luc"3936[657dd00]: ReadNextLine [stream=44fab68 nb=30 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Jokes"3936[657dd00]: ReadNextLine [stream=44fab68 nb=34 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Progi-PAC"3936[657dd00]: ReadNextLine [stream=44fab68 nb=32 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "E-Mail Patrick"3936[657dd00]: ReadNextLine [stream=44fab68 nb=62 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Acknowledges/Req_Debris/Archives/2008"3936[657dd00]: ReadNextLine [stream=44fab68 nb=33 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Bugs - Bugzilla"3936[657dd00]: ReadNextLine [stream=44fab68 nb=23 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "INBOX"3936[657dd00]: ReadNextLine [stream=44fab68 nb=48 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Progi-PAC/Liste de Prix"3936[657dd00]: ReadNextLine [stream=44fab68 nb=48 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Acknowledges/Req_Debris"3936[657dd00]: ReadNextLine [stream=44fab68 nb=46 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Progi-PAC/Formulaires"3936[657dd00]: ReadNextLine [stream=44fab68 nb=35 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "A - Probl&AOg-mes"3936[657dd00]: ReadNextLine [stream=44fab68 nb=57 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Public/Progi-PAC/Liste de Prix/PROGIPAC"3936[657dd00]: ReadNextLine [stream=44fab68 nb=54 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "Templates/AOS Vision - Carrossier EN"3936[657dd00]: ReadNextLine [stream=44fab68 nb=44 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LSUB () "/" "AOS Vision - Installations"3936[657dd00]: ReadNextLine [stream=44fab68 nb=21 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: 5 OK LSUB completed3936[657dd00]: 6414800:mail.domain.com:A:SendData: 6 lsub "" "/home/*"3936[657dd00]: ReadNextLine [stream=44fab68 nb=21 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: 6 OK LSUB completed3936[657dd00]: 6414800:mail.domain.com:A:SendData: 7 list "" "INBOX"3936[657dd00]: ReadNextLine [stream=44fab68 nb=37 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * LIST (\HasNoChildren) "/" "INBOX"3936[657dd00]: ReadNextLine [stream=44fab68 nb=21 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: 7 OK LIST completed3936[657dd00]: 6414800:mail.domain.com:A:SendData: 8 select "INBOX" (CONDSTORE)3936[657dd00]: ReadNextLine [stream=44fab68 nb=13 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * 19 EXISTS3936[657dd00]: ReadNextLine [stream=44fab68 nb=12 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * 0 RECENT3936[657dd00]: ReadNextLine [stream=44fab68 nb=51 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * OK [UNSEEN 17] mailbox contains unseen messages3936[657dd00]: ReadNextLine [stream=44fab68 nb=54 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * OK [UIDVALIDITY 1] UIDs are valid for this mailbox3936[657dd00]: ReadNextLine [stream=44fab68 nb=51 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * OK [UIDNEXT 164755] next expected UID is 1647553936[657dd00]: ReadNextLine [stream=44fab68 nb=257 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * FLAGS (\Answered \Deleted \Draft \Flagged \Seen $Forwarded $MDNSent Forwarded $Junk $NotJunk Junk JunkRecorded NonJunk NotJunk &ama-_jean_fran&aoc-ois sss jean-francois personel &ama-_patrice liste_ou_rapport $label2 $label3 $label1 ttt $label4 $label5)3936[657dd00]: ReadNextLine [stream=44fab68 nb=262 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * OK [PERMANENTFLAGS (\Answered \Deleted \Draft \Flagged \Seen $Forwarded $MDNSent Forwarded &ama-_jean_fran&aoc-ois sss jean-francois personel &ama-_patrice liste_ou_rapport $label2 $label3 $label1 ttt $label4 $label5 \*)] junk-related flags are not permanent3936[657dd00]: ReadNextLine [stream=44fab68 nb=60 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: * OK [HIGHESTMODSEQ 273528] modseq tracked on this mailbox3936[657dd00]: ReadNextLine [stream=44fab68 nb=36 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:A:CreateNewLineFromSocket: 8 OK [READ-WRITE] SELECT completed3936[657dd00]: 6414800:mail.domain.com:S-INBOX:SendData: 9 myrights "INBOX"3936[657dd00]: ReadNextLine [stream=44fab68 nb=33 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:S-INBOX:CreateNewLineFromSocket: * MYRIGHTS "INBOX" lrswickxteda3936[657dd00]: ReadNextLine [stream=44fab68 nb=25 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:S-INBOX:CreateNewLineFromSocket: 9 OK MYRIGHTS completed3936[657dd00]: 6414800:mail.domain.com:S-INBOX:SendData: 10 getacl "INBOX"3936[657dd00]: ReadNextLine [stream=44fab68 nb=46 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:S-INBOX:CreateNewLineFromSocket: * ACL "INBOX" "david@domain.com" lrswickxteda3936[657dd00]: ReadNextLine [stream=44fab68 nb=24 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:S-INBOX:CreateNewLineFromSocket: 10 OK GETACL completed3936[657dd00]: 6414800:mail.domain.com:S-INBOX:SendData: 11 getquotaroot "INBOX"3936[657dd00]: ReadNextLine [stream=44fab68 nb=24 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:S-INBOX:CreateNewLineFromSocket: * QUOTAROOT "INBOX" ""3936[657dd00]: ReadNextLine [stream=44fab68 nb=37 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:S-INBOX:CreateNewLineFromSocket: * QUOTA "" (STORAGE 576481 2048000)3936[657dd00]: ReadNextLine [stream=44fab68 nb=30 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:S-INBOX:CreateNewLineFromSocket: 11 OK GETQUOTAROOT completed3936[657dd00]: 6414800:mail.domain.com:S-INBOX:SendData: 12 UID fetch 1:* (FLAGS) (CHANGEDSINCE 273524)3936[657dd00]: ReadNextLine [stream=44fab68 nb=27 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:S-INBOX:CreateNewLineFromSocket: 12 OK UID FETCH completed3936[657dd00]: 6414800:mail.domain.com:S-INBOX:SendData: 13 IDLE3936[657dd00]: ReadNextLine [stream=44fab68 nb=10 needmore=0]
3936[657dd00]: 6414800:mail.domain.com:S-INBOX:CreateNewLineFromSocket: + idling3264[657fd80]: ImapThreadMainLoop entering [this=81df800]
0[62c140]: 81df800:mail.domain.com:NA:SetupWithUrl: clearing IMAP_CONNECTION_IS_OPEN
3264[657fd80]: 81df800:mail.domain.com:NA:ProcessCurrentURL: entering
3264[657fd80]: 81df800:mail.domain.com:NA:ProcessCurrentURL:imap://david@mail.domain.com:993/folderstatus%3E/A%20-%20Lettre%20de%20quittance:  = currentUrl
3264[657fd80]: ReadNextLine [stream=80ea3e8 nb=54 needmore=0]
3264[657fd80]: 81df800:mail.domain.com:NA:CreateNewLineFromSocket: * OK zimbra.domain.com Zimbra IMAP4rev1 service ready3264[657fd80]: 81df800:mail.domain.com:NA:SendData: 1 capability3264[657fd80]: ReadNextLine [stream=80ea3e8 nb=309 needmore=0]
3264[657fd80]: 81df800:mail.domain.com:NA:CreateNewLineFromSocket: * CAPABILITY IMAP4rev1 AUTH=PLAIN AUTH=X-ZIMBRA ACL BINARY CATENATE CHILDREN CONDSTORE ENABLE ESEARCH ESORT I18NLEVEL=1 ID IDLE LIST-EXTENDED LITERAL+ LOGIN-REFERRALS MULTIAPPEND NAMESPACE QRESYNC QUOTA RIGHTS=ektx SASL-IR SEARCHRES SORT THREAD=ORDEREDSUBJECT UIDPLUS UNSELECT WITHIN X-DRAFT-I00-LIST-STATUS3264[657fd80]: ReadNextLine [stream=80ea3e8 nb=27 needmore=0]
3264[657fd80]: 81df800:mail.domain.com:NA:CreateNewLineFromSocket: 1 OK CAPABILITY completed3264[657fd80]: try to log in
Comment 7 Peter Connolly 2010-09-13 04:05:07 PDT
I have the same problem. I use MDaemon mail server so any e-mails addrssed incorrectly to our domain and forwarded as EML attachments to me as Postmaster@.... These cannot be opened and the following error message pops up - "This attachment appears to be empty.
Please check with the person who sent this.
Often company firewalls or antivirus programs will destroy attachments."

e-mails with attachments addressed directly to me (peter@....) open without difficulty - even if forwarded as .eml attachments. The problem only arises when my mail server redirects mail to me as postmaster. 
This problem only arose with Thunderbird 3.1.2. I re-installed the older version 2.0.0.24 - problem solved immediately.
Comment 8 Michael A. Pasek 2010-09-13 05:30:48 PDT
What are the MIME headers for the attachment(s) ?  That is, what's specified for "Content-Type:", "Content-Disposition:", and (if present) "filename=" ?
Comment 9 Peter Connolly 2010-09-13 06:49:05 PDT
I hope this is what you are after!


From - Fri Sep 10 17:14:45 2010
X-Account-Key: account2
X-UIDL: MD50000014192:MSG:17662:30101763:786338402
X-Mozilla-Status: 0001
X-Mozilla-Status2: 10000000
X-Mozilla-Keys:                                                                                 
Return-Path: <>
Received: from cpf.ie by cpf.ie (via RAW) (MDaemon Standard v10.0.5)
	for <Peter@cpf.ie>; Fri, 10 Sep 2010 17:14:02 +0100
Date: Fri, 10 Sep 2010 17:14:02 +0100
From: "MDaemon at cpf.ie" <MDaemon@cpf.ie>
Reply-To: noreply@cpf.ie
Subject: Warning: No addresses survived parsing process!
To: Postmaster
X-MDaemon-Deliver-To: Peter@cpf.ie
Message-ID: <MDAEMON0420201009101714.AA1402296@cpf.ie>
Mime-Version: 1.0
X-Actual-From: MDaemon@cpf.ie
X-Return-Path: <noreply@cpf.ie>
Content-Type: multipart/mixed; boundary="0910-1714-02-PART-BREAK"

   The following data may contain sections which represent BASE64 encoded
   file attachments.  These sections will be unreadable without MIME aware
   tools.  Seek your system administrator if you need help extracting any
   files which may be embedded within this message.

--0910-1714-02-PART-BREAK
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 7bit

The attached message doesn't contain any addresses that can survive
the current parsing configuration.

From: Sdaly@iccinformation.ie
Subject: Checkit - Essential Systems Maintenance 10 - 12 September 2010

[First few non-blank message lines]

This is a multi-part message in MIME format.

------_=_NextPart_001_01CB5102.C998A0C3
Content-Type: text/plain;

[End]

None of the addresses extracted from the headers within this message
match any address known to this server.  You should inspect the headers
of the attached message and make sure that there is a local address
specified in at least one of them.  If there is make sure you have setup
MDaemon to parse that header.


--0910-1714-02-PART-BREAK
Content-Type: application/octet-stream; name="md75000008224.eml"
Content-Transfer-Encoding: base64
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--0910-1714-02-PART-BREAK--
Comment 10 Michael A. Pasek 2010-09-13 12:47:40 PDT
Yes, the header information is what I was looking for (it wasn't necessary to paste the actual attachment).  The key here may be the "application/octet-stream" MIME type for the ".eml" attachment, and any entry you might have in 'mimeTypes.rdf' (in your profile) for handling ".eml" attachments.  You might want to try renaming "mimeTypes.rdf" to some other name, to see if you are then able to open/save the attachments (TB will create a new 'mimeTypes.rdf').
Comment 11 David 2010-09-14 04:35:52 PDT
The goal for this bug here is not to find a way to solve it by our selves but to ask the programmers to find a way to solve the bug itself.  As mentionned vefore, in ThunderBird 2, this feature worked great.  Now in version 3, it doesn't.  That's the point.  I have the same problem too.  Other mail clients read it but not ThunderBird any more.
Comment 12 Michael A. Pasek 2010-09-14 05:05:35 PDT
(In reply to comment #11)
> The goal for this bug here is not to find a way to solve it by our selves but
> to ask the programmers to find a way to solve the bug itself.  [...]

Yes, of course.  The tricky part is finding programmers...  

I only suggested deleting 'mimeTypes.rdf' to see if the problem is the one described in Bug 579682 (and would therefore be fixed by that fix), or if there is a different problem related to handling of email attachments, similar to that of Bug 587660.
Comment 13 Matthew Allen 2010-09-27 23:37:58 PDT
I've landed here after getting a bug report for Scribe (my email client), apparently Thunderbird does not like the .eml attachments that Scribe sends. So I'm going to have a look at the Thunderbird source and see if it's something simple to fix.

In response to Michael Pasek's comment on the issue being triggered by the "application/octet-stream" mime type: it's not just that mime type.. even when the attachment has the mime-type "message/rfc822" it has the same behaviour.

Of course I could just "fix" my client to send 7bit or quoted-printable .eml's I'm a bit OCD and would like to help Thunderbird out as part of fixing this for both clients ;)
Comment 14 WADA 2010-09-28 05:35:55 PDT
(In reply to comment #13)
> it's not just that mime type.. even when the attachment has the mime-type "message/rfc822" it has the same behaviour.

Matthew Allen, same phenomenon as bug 559852?
If so, or even if not, I think issue with message/rfc822(your problem) and issue with application/octet-stream(this bug) are better to be analyzed in separated bug, because application/octet-stream case is relevant to "Quirks for application/octet-stream" for "file extensin of .eml".
Comment 15 Pete 2010-10-11 21:28:09 PDT
(In reply to comment #12)

I can confirm the problem of MDaemon Postmaster messages with attached .eml being empty in TB 3.1.x.
"Content-Type: application/octet-stream; name="md75000000167.eml
Content-Transfer-Encoding: base64"


These attachments open in TB3.0.8 but not in TB 3.1
Comment 16 WADA 2011-02-03 19:32:05 PST
Created attachment 509677 [details]
Mail of .eml attachments encoded in base64

(In reply to comment #13)
> it's not just that mime type.. even when the attachment has the mime-type "message/rfc822" it has the same behaviour.

Tb 3.1.7 showed following alert dialog when double-click or "Open", for both "message/rfc822 part in base64" and "application/octet-stream part in base64 with name=...eml".
> This attachment appears to be empty.
> Please check with the person who sent this.
> Often company firewalls or antivirus programs will destroy attachments.
If "Save As", Tb does do nothing.

Confirming.
Comment 17 NoOp 2011-08-22 10:01:26 PDT
I came across this issue today while testing emails with .eml attachments. I also found the attachment showing as 0 bytes... However the attachment is 102KB.

This is a multi-part message in MIME format.
--------------000304000609090305080102
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit


--------------000304000609090305080102
Content-Type: message/rfc822;
 name="1909 Ford Model R.eml"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="1909 Ford Model R.eml"

Quite by accident I discovered that the attachment shows the proper size and is available _if_ I View|uncheck 'Display Attachments Inline'. If I recheck ''Display Attachments Inline' the attachment shows as 0 bytes and is not viewable in the email message pane. Note: the .eml portion of the email is viewable in the the original that was received from the original sender. I only experience this when I forward the message.

Note: I was testing forwarding messages that I had received with .eml attachments using forwarding inline and as attachment. The same behavior is observed on the received messages regardless of the forwarding method.

Tested using SeaMonkey 2.3:
Build identifier: Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20110813 Firefox/6.0 SeaMonkey/2.3
and
Thunderbird 6.0:
Mozilla/5.0 (X11; Linux i686; rv:6.0) Gecko/20110812 Thunderbird/6.0
Comment 18 WADA 2012-01-01 00:59:23 PST
*** Bug 588709 has been marked as a duplicate of this bug. ***
Comment 19 Hiroyuki Ikezoe (:hiro) 2012-01-11 16:41:19 PST
(In reply to WADA from comment #16)
> Created attachment 509677 [details]
> Mail of .eml attachments encoded in base64
> 
> (In reply to comment #13)
> > it's not just that mime type.. even when the attachment has the mime-type "message/rfc822" it has the same behaviour.
> 
> Tb 3.1.7 showed following alert dialog when double-click or "Open", for both
> "message/rfc822 part in base64" and "application/octet-stream part in base64
> with name=...eml".

In case of "message/rfc822", base64 encoding is forbidden in RFC 2045. So the test case is invalid.
Comment 20 Hiroyuki Ikezoe (:hiro) 2012-01-11 17:03:53 PST
This bug is not related message/rfc822.
Comment 21 Hiroyuki Ikezoe (:hiro) 2012-01-11 17:05:04 PST
Created attachment 587884 [details]
The eml file extracted from comment #9.
Comment 22 Hiroyuki Ikezoe (:hiro) 2012-01-15 16:53:12 PST
Created attachment 588790 [details] [diff] [review]
A workaround for saving base64-encoded eml file

Don't override with the content-type which is supposed by file name when the file name has '.eml' suffix.
Comment 23 David :Bienvenu 2012-02-06 05:01:15 PST
Comment on attachment 588790 [details] [diff] [review]
A workaround for saving base64-encoded eml file

thx for the fix! This seems like a reasonable thing to try.

this would be cleaner using an nsCString and Adopt. E.g.,

nsCString encoding;
encoding.Adopt(MimeHeaders_get...)
if (encoding.EqualsLiteral(NS_LITERAL_CSTRING(ENCODING_BASE64)))

then you don't need the PR_FREEIF. You also don't need the braces around override_content_type = nsnull;

And that should be "Our MimeMessageClass", not "Out MimeMessageClass", I think.
Comment 24 Hiroyuki Ikezoe (:hiro) 2012-02-06 17:22:05 PST
Created attachment 594870 [details] [diff] [review]
Revised patch

David, thank you for the review. I didn't remember nsCString::Adopt...
Comment 25 Jim Porter (:squib) 2012-02-15 12:36:22 PST
*** Bug 727448 has been marked as a duplicate of this bug. ***
Comment 26 Jim Porter (:squib) 2012-02-15 12:36:36 PST
*** Bug 591888 has been marked as a duplicate of this bug. ***
Comment 27 David :Bienvenu 2012-02-15 15:19:03 PST
Comment on attachment 594870 [details] [diff] [review]
Revised patch

thx for the new patch
Comment 28 Mark Banner (:standard8, afk until Dec) 2012-02-21 05:32:25 PST
Checked in: http://hg.mozilla.org/comm-central/rev/5d7093153858
Comment 29 Steve Wendt 2012-02-21 11:35:31 PST
Would be nice to have this checked in for Gecko 12 (and even 11, if possible).
Comment 30 Arkaine55 2012-06-18 06:47:38 PDT
Now using Thunderbird 13.0.1
Base64 encoded eml files still show as 0 bytes and do not open.
Comment 31 Mike Koleszar 2012-09-07 16:49:18 PDT
This bug is still present in Thunderbird 15.0

The file size is 39.1kb. When I try to open it in Thunderbird, an alert says "This attachment appears to be empty."

--=_BlatBoundary-oGpYw2nY2aSm7ORf7r2Il
Content-Type: application/octet-stream;
 name="test.eml"
Content-Transfer-Encoding: BASE64
Content-Disposition: ATTACHMENT;
 filename="test.eml"
Comment 32 Mike Koleszar 2012-10-10 13:27:22 PDT
This bug is still present in Thunderbird 16.0

The file size is 39.1kb. When I try to open it in Thunderbird, an alert says "This attachment appears to be empty. Please check with the person who sent this. Often company firewalls or antivirus programs will destroy attachments."

--=_BlatBoundary-J0ahiV6R0uNTlj1ZiCuFP
Content-Type: application/octet-stream;
 name="test.eml"
Content-Transfer-Encoding: BASE64
Content-Disposition: ATTACHMENT;
 filename="test.eml"
Comment 33 Mike Koleszar 2012-11-21 09:04:19 PST
This bug is still present in Thunderbird 17.0

The file size is 39.1kb. When I try to open it in Thunderbird, an alert says "This attachment appears to be empty. Please check with the person who sent this. Often company firewalls or antivirus programs will destroy attachments."

--=_BlatBoundary-byWAMXG7xnJ7sgl1Ou9Dj
Content-Type: application/octet-stream;
 name="test.eml"
Content-Transfer-Encoding: BASE64
Content-Disposition: ATTACHMENT;
 filename="test.eml"
Comment 34 persona 2012-12-21 14:20:11 PST
I'm uncertain why this item is marked as "RESOLVED FIXED" since I have just experienced this problem with the latest version of Thunderbird (Mac OS X Thunderbird 17.0), as stated by Mike Koleszar above.. This has been a long standing problem as evidenced by the history of this issue.

I am using IMAP to connect to my mail server. I find that starting Apple Mail (of all things ;-) is one way of reading the attachments. Apple Mail does not appear to have a problem with these attachments at all.

In my case, I don't believe this is dependent on issue 805620 since the encoding (base64) in my emails is included in lowercase.

Anybody have any further ideas?
Comment 35 WADA 2012-12-21 18:36:20 PST
(In reply to Mike Koleszar from comment #31)
> This bug is still present in Thunderbird 15.0
> Content-Transfer-Encoding: BASE64

"Uppercase base64" case is covered by bug 805620, as you already know.
Comment 36 Arkaine55 2013-01-15 22:14:23 PST
(In reply to persona from comment #34)
> I'm uncertain why this item is marked as "RESOLVED FIXED" since I have just
> experienced this problem with the latest version of Thunderbird

I agree (Thunderbird 17.0.2 Windows 7). This bug, as stated, "Base64 encoded EML files in attachments can't be opened" should cover any situations where an eml file attachment is base64 encoded and can't be opened.

> I don't believe this is dependent on issue 805620 since the
> encoding (base64) in my emails is included in lowercase.

The BASE64 uppercase issue fixes it for "Content-Type: application/octet-stream"
But not "Content-Type: message/rfc822"

Looking at the file that was patched for this, an enclosing if statement restricts the patch for only cases where content_type is: null, unknown or application/octet-stream
And the section was originally added to fix cases where email clients were incorrectly setting the content-type to application/octet-stream when it should be message/rfc822.

It seems there needs to be a separate section where it also corrects for clients that like to set base64 encoding on message/rfc822 (i.e. MS Office 2003-2007) to force it to override the content type as an application/octet-stream.
Comment 37 Magnus Melin 2013-01-16 03:12:33 PST
Please file a new bug with your analysis, and attach a sample message.

Note You need to log in before you can comment on or make changes to this bug.